- Create Term
- Get Export Data
- Get Term
- Get Active Terms
- Get Terms
- Update Term
- Delete Term
POST /api/v1/governance/termCreate a new termResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/term" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new term",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/term/exportGet Export DataResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/export" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Get Export Data",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/term/{termId}Get a term by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Policy Status".string
Example:
"Current status of the insurance policy, such as active, expired, or cancelled.".string
Example:
"VERIFIED".string
string
string
Example:
"glossary.Insurance Data.Policy Status".string
string
string
string
string
boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.object[]
object[]
object[]
object[]
string
string
integer
Example:
0.integer
Example:
0.integer
Example:
0.integer
Example:
1.boolean
Example:
true.boolean
Example:
false.string
Example:
"7192ddcf-7bd0-4ca0-aee1-9242b61f109d".integer
Example:
0.string
string
string
string
string
string
Example:
"293def77-f00d-40e4-b8f4-4846dedb8073".string
Example:
"2026-07-03T13:31:51.224987Z".string
Example:
"2026-09-21T06:39:16.458869Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".object[]
object
integer
Example:
0.object[]
string
object[]
object[]
object[]
object[]
string
Example:
"c8fd22c6-fd4e-41a9-adb2-d1f032893d77".string
string
Example:
"8473e526-291c-4783-a109-9d72d3c1efdc".integer
Example:
0.string
object[]
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/{termId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get a term by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"name": "Policy Status",
"description": "Current status of the insurance policy, such as active, expired, or cancelled.",
"status": "VERIFIED",
"derived_type": null,
"source": null,
"qualified_name": "glossary.Insurance Data.Policy Status",
"thresold": null,
"sensitivity": null,
"min_length": null,
"max_length": null,
"min_value": null,
"is_null": false,
"is_blank": false,
"is_unique": false,
"is_primary_key": false,
"enum": [],
"contains": [],
"synonyms": [],
"owner": [
{
"id": "c814838e-a2bf-49cd-b72d-bb0e8bfb8d5b",
"name": "vijaykumar@dqlabs.ai",
"label": "vijaykumar@dqlabs.ai"
}
],
"user": null,
"score": null,
"total_alerts": 0,
"total_issues": 0,
"linked_asset_count": 0,
"total_views": 1,
"is_active": true,
"is_deleted": false,
"domain_id": "7192ddcf-7bd0-4ca0-aee1-9242b61f109d",
"total_conversations": 0,
"total_likes": null,
"total_dislikes": null,
"definition": null,
"context": null,
"who_should_use_this": null,
"id": "293def77-f00d-40e4-b8f4-4846dedb8073",
"created_at": "2026-07-03T13:31:51.224987Z",
"modified_at": "2026-09-21T06:39:16.458869Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"modified_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30",
"parents": [
{
"id": "c8fd22c6-fd4e-41a9-adb2-d1f032893d77",
"name": "glossary",
"description": "A glossary is a curated collection of domain-specific terms and definitions relevant to the automotive industry within the organization.",
"type": "glossary"
}
],
"profile_metrics": {},
"row_count": 0,
"domain": [
{
"id": "7192ddcf-7bd0-4ca0-aee1-9242b61f109d",
"name": "AUTOMOTIVE",
"label": "AUTOMOTIVE"
}
],
"type": null,
"product": [],
"tag": [],
"application": [],
"viewers": [
{
"id": "08ba2090-a236-4538-a671-fca112ca8ad2",
"viewed_at": "2026-09-21T10:32:31.510311+00:00",
"name": null,
"email": "rejeesh@dqlabs.ai"
}
],
"glossary_id": "c8fd22c6-fd4e-41a9-adb2-d1f032893d77",
"glossary_name": null,
"glossary_category_id": "8473e526-291c-4783-a109-9d72d3c1efdc",
"total_metrics": 0,
"recent_conversations": null,
"term_metrics": [],
"context_freshness": {
"description": null,
"owner_verified": null,
"synonyms": null,
"metric_updated": null
}
}
}
GET /api/v1/governance/term/active/listGet all active termsResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"Policy Status".string
Example:
"Current status of the insurance policy, such as active, expired, or cancelled.".string
Example:
"VERIFIED".string
string
string
Example:
"glossary.Insurance Data.Policy Status".string
string
string
string
string
boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.boolean
Example:
false.object[]
object[]
object[]
object[]
string
string
integer
Example:
0.integer
Example:
0.integer
Example:
0.string
boolean
Example:
true.boolean
Example:
false.string
Example:
"7192ddcf-7bd0-4ca0-aee1-9242b61f109d".integer
Example:
0.string
string
string
string
string
string
Example:
"293def77-f00d-40e4-b8f4-4846dedb8073".string
Example:
"2026-07-03T13:31:51.224987Z".string
Example:
"2026-09-20T05:55:02.447781Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"87efd845-c1f5-4c65-8a2a-1ecc91736c30".string
string
string
object[]
string
object[]
object[]
object[]
object[]
string
Example:
"c8fd22c6-fd4e-41a9-adb2-d1f032893d77".string
string
Example:
"8473e526-291c-4783-a109-9d72d3c1efdc".integer
Example:
0.string
string
string
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/active/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all active terms",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
POST /api/v1/governance/term/listGet terms with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"test glossary123".string
string
Example:
"PENDING".object[]
object[]
object[]
integer
Example:
0.string
Example:
"d22eaa72-da63-4c04-9701-c1db138b2842".integer
Example:
0.integer
Example:
0.integer
Example:
0.string
Example:
"e21ee2c3-db46-4afd-b5dd-532e0e290701".string
Example:
"2026-09-20T17:02:48.308484Z".string
Example:
"2026-09-20T17:02:48.308526Z".object[]
string
Example:
"Glossary".object[]
object[]
object[]
object[]
string
Example:
"test glossary123".integer
Example:
0.integer
Example:
1771.object[]
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get terms with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"name": "test glossary123",
"description": null,
"status": "PENDING",
"enum": [],
"contains": [],
"synonyms": [],
"total_views": 0,
"domain_id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"total_conversations": 0,
"total_likes": 0,
"total_dislikes": 0,
"id": "e21ee2c3-db46-4afd-b5dd-532e0e290701",
"created_at": "2026-09-20T17:02:48.308484Z",
"modified_at": "2026-09-20T17:02:48.308526Z",
"domain": [
{
"id": "d22eaa72-da63-4c04-9701-c1db138b2842",
"name": "Alation Domain",
"label": "Alation Domain"
}
],
"type": "Glossary",
"product": [],
"tag": [],
"application": [],
"viewers": [],
"glossary_name": "test glossary123",
"total_metrics": 0
}
],
"total_count": 1771,
"metrics": []
}
}
PUT /api/v1/governance/term/{termId}Update a termPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/{termId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update a term",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/term/{termId}Delete a termPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/term/{termId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete a term",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}